Bug 1944422 - Review Request: rust-systemd - A rust interface to libsystemd/libelogind provided APIs
Summary: Review Request: rust-systemd - A rust interface to libsystemd/libelogind prov...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1944398 1944408 1944412
Blocks: 1941896
TreeView+ depends on / blocked
 
Reported: 2021-03-29 22:00 UTC by Rémi Lauzier
Modified: 2021-05-23 01:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-23 01:03:38 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 🐧 2021-04-06 19:34:31 UTC
Using https://copr-be.cloud.fedoraproject.org/results/remilauzier/rudo/fedora-34-x86_64/02113879-rust-systemd/rust-systemd.spec

 - You need to fix this:

# Upstream license specification: LGPL-2.1-or-later WITH GCC-exception-2.0
# License file not in crate bug: https://github.com/jmesmon/rust-systemd/issues/186
License:        LGPLv2+ WITH [identifier] with exceptions
# FIXME: Upstream uses unknown SPDX tag WITH!

→

# Upstream license specification: LGPL-2.1-or-later WITH GCC-exception-2.0
# License file not in crate bug: https://github.com/jmesmon/rust-systemd/issues/186
License:        LGPLv2 with exceptions

 - This won't be necessary:

echo "systemd-devel"

once you Requires:       systemd-devel in rust-libsystemd-sys



 - License ok
 - Latest version packaged
 - Builds in mock
 - Conforms to Packaging Guidelines

Please fix the aforementioned issues.

Comment 2 Rémi Lauzier 2021-04-07 20:57:16 UTC
Hi!
I make it compile but it seem to need systemd-devel in it's dependencies. Really don't know why copr refuse to pull systemd-devel with rust-libsystemd-sys
https://download.copr.fedorainfracloud.org/results/remilauzier/rudo/fedora-34-x86_64/02121324-rust-systemd/rust-systemd.spec

Comment 3 Robert-André Mauchin 🐧 2021-04-07 21:31:37 UTC
(In reply to Rémi Lauzier from comment #2)
> Hi!
> I make it compile but it seem to need systemd-devel in it's dependencies.
> Really don't know why copr refuse to pull systemd-devel with
> rust-libsystemd-sys
> https://download.copr.fedorainfracloud.org/results/remilauzier/rudo/fedora-
> 34-x86_64/02121324-rust-systemd/rust-systemd.spec

You probably are building than the repo are generated. Delete your old builds and try regenerate repo on the main page.

Comment 5 Robert-André Mauchin 🐧 2021-04-08 15:20:37 UTC
Package approved. You still need to find a sponsor.

Comment 6 Robert-André Mauchin 🐧 2021-04-08 21:28:39 UTC
Sponsored.

Comment 7 Tomas Hrcka 2021-04-27 09:14:58 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-systemd

Comment 8 Fedora Update System 2021-05-14 19:21:40 UTC
FEDORA-2021-dd116f8411 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-dd116f8411

Comment 9 Fedora Update System 2021-05-15 01:06:47 UTC
FEDORA-2021-dd116f8411 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-dd116f8411 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-dd116f8411

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-05-23 01:03:38 UTC
FEDORA-2021-dd116f8411 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.